# Smartline V1 Transmitter Series

class pymeasure.instruments.thyracont.smartline_v1.SmartlineV1(adapter, name='Thyracont Vacuum Gauge V1', address=1, baud_rate=9600, **kwargs)

  Bases: `Instrument`

  Thyracont Vacuum Instruments Smartline gauges with Communication Protocol V1.

  Devices using Protocol V1 were manufactured until 2017.

  Connection to the device is made through an RS485 serial connection. The default communication settings are baudrate 9600, 8 data bits, 1 stop bit, no parity, no handshake.

  A communication packages is structured as follows:

  Characters 0-2: Address for communication Character 3: Command character, uppercase letter for reading and lowercase for writing Characters 4-n: Data for the command, can be empty. Character n+1: Checksum calculated by: (sum of the decimal value of bytes 0-n) mod 64 + 64 Character n+2: Carriage return

  Parameters:

    - adapter – pyvisa resource name of the instrument or adapter instance

    - name (string) – Name of the instrument.

    - address (int) – RS485 adddress of the instrument 1-15.

    - baud_rate (int) – baudrate used for the communication with the device.

    - kwargs – Any valid key-word argument for Instrument

  property cathode_enabled

    Control the hot/cold cathode state of the pressure gauge.

  check_set_errors()

    Check for errors after having set a property and log them.

    Called if `check_set_errors=True` is set for that property.

    If you override this method, you may choose to raise an Exception for certain errors.

    Returns:

      List of error entries.

  property device_type

    Get the device type.

  property display_unit

    Control the display’s pressure unit.

  property pressure

    Get the pressure measurement in mbar.

  read()

    Reads a response message from the instrument.

    This method also checks for a correct checksum.

    Returns:

      the data fields

    Return type:

      string

    Raises:

      ValueError – if a checksum error is detected

  write(command)

    Writes a command to the instrument.

    This method adds the required address and checksum.

    Parameters:

      command (str) – command to be sent to the instrument